This discussion is archived
7 Replies Latest reply: Jan 26, 2013 6:19 PM by 969805 RSS

Errors during Solaris 11/11 to 11.1 upgrade

986141 Newbie
Currently Being Moderated
Hi,
I originally resurrected a thread from 2012 and attempted to hijack it away for my own question. However, a kind forum moderator split it away to let it stand on its own since I wasn't trying to help that original post but was only concerned about my own system.

Here's my post:


.


#Am also trying to upgrade our local AI 11/11 server to 11.1 but finding similar errors. First I've updated our local 11/11 repo with SRU 13.4 and then updated the AI server's BE from this successfully
root@sol11:~# beadm list
BE                   Active Mountpoint Space  Policy Created          
--                   ------ ---------- -----  ------ -------          
sol-11-1111-sru13_04 NR     /          39.91G static 2013-01-21 11:18 
solaris              -      -          7.50M  static 2011-12-09 09:15 

root@sol11:~# pkg list entire
NAME (PUBLISHER)                                  VERSION                    IFO
entire (solaris)                                  0.5.11-0.175.0.13.0.4.0    i--
#Then trying to follow http://www.oracle.com/technetwork/articles/servers-storage-admin/howto-update-11dot1-ips-1866781.html
root@sol11:~# pkg update --accept
WARNING: pkg(5) appears to be out of date, and should be updated before
running update.  Please update pkg(5) by executing 'pkg install
pkg:/package/pkg' as a privileged user and then retry the update.
root@sol11:~# pkg update pkg:/package/pkg
            Packages to remove:  1   
       Create boot environment: No
Create backup boot environment: No

PHASE                                        ACTIONS
Removal Phase                                  13/13 

PHASE                                          ITEMS
Package State Update Phase                       1/1 
Package Cache Update Phase                       1/1
Image State Update Phase                         2/2 
# DWL entire 11.1 ISO file from 11.jan 2013 and copied repo onto AI server and switched publisher to this repo:
root@sol11:~# pkg publisher
PUBLISHER                             TYPE     STATUS   URI
local-solaris                                           
solaris                               origin   online   file:///export/sol11.1_ipsrepo/

root@sol11:~# pkg update --be-name s11.1ga --accept
Creating Plan \                      
pkg update: No solution was found to satisfy constraints
Plan Creation: Package solver has not found a solution to update to latest available versions.
This may indicate an overly constrained set of packages are installed.
 
latest incorporations:
 
  pkg://solaris/consolidation/admin/admin-incorporation@0.5.11,5.11-0.175.1.0.0.5.0:20111212T232623Z
  pkg://solaris/consolidation/l10n/l10n-incorporation@0.5.11,5.11-0.175.1.0.0.23.1134:20120820T154803Z
  pkg://solaris/consolidation/userland/userland-incorporation@0.5.11,5.11-0.175.1.0.0.24.0:20120904T170613Z
  pkg://solaris/entire@0.5.11,5.11-0.175.1.0.0.24.2:20120919T190135Z
  pkg://solaris/consolidation/install/install-incorporation@0.5.11,5.11-0.175.1.0.0.24.1736:20120912T193249Z
  pkg://solaris/consolidation/sunpro/sunpro-incorporation@0.5.11,5.11-0.175.1.0.0.19.0:20120625T151735Z
  pkg://solaris/consolidation/gfx/gfx-incorporation@0.5.11,5.11-0.175.1.0.0.5.0:20111212T232623Z
  pkg://solaris/consolidation/sfw/sfw-incorporation@0.5.11,5.11-0.175.1.0.0.5.0:20111212T232623Z
  pkg://solaris/consolidation/ips/ips-incorporation@0.5.11,5.11-0.175.1.0.0.24.0:20120904T180327Z
  pkg://solaris/consolidation/ldoms/ldoms-incorporation@0.5.11,5.11-0.175.1.0.0.21.1:20120723T182124Z
  pkg://solaris/consolidation/vpanels/vpanels-incorporation@0.5.11,5.11-0.175.1.0.0.17.0:20120529T220223Z
  pkg://solaris/consolidation/dbtg/dbtg-incorporation@0.5.11,5.11-0.175.1.0.0.15.0:20120501T214422Z
  pkg://solaris/consolidation/X/X-incorporation@0.5.11,5.11-0.175.1.0.0.24.1317:20120904T175757Z
  pkg://solaris/consolidation/man/man-incorporation@0.5.11,5.11-0.175.1.0.0.21.0:20120723T163455Z
  pkg://solaris/consolidation/desktop/desktop-incorporation@0.5.11,5.11-0.175.1.0.0.24.2:20120919T183843Z
  pkg://solaris/consolidation/nspg/nspg-incorporation@0.5.11,5.11-0.175.1.0.0.5.0:20111212T232623Z
  pkg://solaris/consolidation/sic_team/sic_team-incorporation@0.5.11,5.11-0.175.1.0.0.5.0:20111212T230120Z
  pkg://solaris/consolidation/SunVTS/SunVTS-incorporation@0.5.11,5.11-0.175.1.0.0.14.0:20120416T200729Z
  pkg://solaris/consolidation/solaris_re/solaris_re-incorporation@0.5.11,5.11-0.175.1.0.0.24.3:20120919T185316Z
  pkg://solaris/consolidation/smcc/smcc-incorporation@0.5.11,5.11-0.175.1.0.0.5.0:20111212T232623Z
  pkg://solaris/consolidation/cns/cns-incorporation@0.5.11,5.11-0.175.1.0.0.23.0:20120820T162238Z
  pkg://solaris/consolidation/cacao/cacao-incorporation@0.5.11,5.11-0.175.1.0.0.11.0:20120305T152551Z
  pkg://solaris/consolidation/osnet/osnet-incorporation@0.5.11,5.11-0.175.1.0.0.24.2:20120919T184141Z
  pkg://solaris/consolidation/desktop/gnome-incorporation@0.5.11,5.11-0.175.1.0.0.22.0:20120806T171142Z
 
The following indicates why the system cannot update to the latest version:
 
  No suitable version of required package pkg://solaris/consolidation/userland/userland-incorporation@0.5.11,5.11-0.175.1.0.0.24.0:20120904T170613Z found:
    Reject:  pkg://solaris/consolidation/userland/userland-incorporation@0.5.11,5.11-0.175.1.0.0.24.0:20120904T170613Z
    Reason:  A version for 'incorporate' dependency on pkg:/network/dns/bind@9.6.3.7.2,5.11-0.175.1.0.0.24.0 cannot be found
*# Why and how to resolve this issue?*

*#TIA*

#Just in case you ask:

root@sol11:~# pkg info entire
Name: entire
Summary: entire incorporation including Support Repository Update (Oracle Solaris 11 11/11 SRU 13.4).
Description: This package constrains system package versions to the same
build. WARNING: Proper system update and correct package
selection depend on the presence of this incorporation.
Removing this package will result in an unsupported system. For
more information see https://support.oracle.com/CSP/main/article
?cmd=show&type=NOT&doctype=REFERENCE&id=1372094.1.
Category: Meta Packages/Incorporations
State: Installed
Publisher: solaris
Version: 0.5.11 (Oracle Solaris 11 SRU 13.4)
Build Release: 5.11
Branch: 0.175.0.13.0.4.0
Packaging Date: November 6, 2012 07:46:23 PM
Size: 5.45 kB
FMRI: pkg://solaris/entire@0.5.11,5.11-0.175.0.13.0.4.0:20121106T194623Z

root@sol11:~# pkg info consolidation/osnet/osnet-incorporation
Name: consolidation/osnet/osnet-incorporation
Summary: OS/Net consolidation incorporation
Description: This incorporation constrains packages from the OS/Net
consolidation.
Category: Meta Packages/Incorporations
State: Installed
Publisher: solaris
Version: 0.5.11
Build Release: 5.11
Branch: 0.175.0.13.0.4.1
Packaging Date: November 6, 2012 07:31:22 PM
Size: 17.15 kB
FMRI: pkg://solaris/consolidation/osnet/osnet-incorporation@0.5.11,5.11-0.175.0.13.0.4.1:20121106T193122Z
  • 1. Re: Errors during Solaris 11/11 to 11.1 upgrade
    986141 Newbie
    Currently Being Moderated
    Okay reading the hole instruction I can see that I need to manully remove bind and reinstall packages after upgrading, tried this only to find this next then:


    The following indicates why the system cannot update to the latest version:

    No suitable version of required package pkg://solaris/consolidation/userland/userland-incorporation@0.5.11,5.11-0.175.1.0.0.24.0:20120904T170613Z found:
    Reject: pkg://solaris/consolidation/userland/userland-incorporation@0.5.11,5.11-0.175.1.0.0.24.0:20120904T170613Z
    Reason: A version for 'incorporate' dependency on pkg:/service/network/dhcp/isc-dhcp@4.1.0.6,5.11-0.175.1.0.0.24.0 cannot be found


    Should I then also try to uninstall this package and reinstall it after upgrading and will this ever end before I uninstalled too many packages :(....
  • 2. Re: Errors during Solaris 11/11 to 11.1 upgrade
    986141 Newbie
    Currently Being Moderated
    Only this fails due to:

    root@sol11:~# pkg uninstall pkg:/service/network/dhcp/isc-dhcp
    Creating Planpkg uninstall: Cannot remove 'pkg://solaris/service/network/dhcp/isc-dhcp@4.1.0.7,5.11-0.175.0.13.0.3.0:20121026T212641Z' due to the following packages that depend on it:
    pkg://solaris/install/installadm@0.5.11,5.11-0.175.0.13.0.3.0:20121026T213106Z

    Any hints appreciated!


    TIA
  • 3. Re: Errors during Solaris 11/11 to 11.1 upgrade
    Alan_S Explorer
    Currently Being Moderated
    You mention above:

    # DWL entire 11.1 ISO file from 11.jan 2013 and copied repo onto AI server and switched publisher to this repo:

    The ISO file you downloaded was a sparse S11.1 SRU 3 repository. Did you apply this on top of the base S11.1 repository as mentioned in the README? If not, that would explain why dependencies cannot be found.

    -- Alan
  • 4. Re: Errors during Solaris 11/11 to 11.1 upgrade
    Alan_S Explorer
    Currently Being Moderated
    Or it could be the issue mentioned at the bottom of the README for the Solaris 11 SRU13.4 README:

    https://support.oracle.com/CSP/main/article?cmd=show&type=NOT&id=1506900.1#aref_section11

    NOTE 4: In addition to the SRU#12.4 packages, there is one additional package with SRU#13.4 that needs to be unlocked or removed prior to updating to Oracle Solaris 11.1:

    To remove the package:

    # pkg uninstall service/network/dhcp/isc-dhcp

    To unlock the package:

    # pkg change-facet facet.version-lock.service/network/dhcp/isc-dhcp=false

    Once updated to Oracle Solaris 11.1 then reinstall or relock as required:

    To install:

    # pkg install service/network/dhcp/isc-dhcp

    To relock:

    # pkg change-facet facet.version-lock.service/network/dhcp/isc-dhcp=true

    -- Alan
  • 5. Re: Errors during Solaris 11/11 to 11.1 upgrade
    986141 Newbie
    Currently Being Moderated
    No I might wrongly have ref. to the spare SRU of 11.jan. I DWL the entire 11.1 +7GB iso split in part A&B, sorry :)
  • 6. Re: Errors during Solaris 11/11 to 11.1 upgrade
    986141 Newbie
    Currently Being Moderated
    Yes also indicated previously, only I found that I also needed to remove two more packages before upgrading successfully, see below.

    Thanks for your reply!

    Removing installadm pkg along made it possible to upgrade from 11/11-SRU13-4 to 11.1...

    root@sol11:~# pkg uninstall pkg:/service/network/dhcp/isc-dhcp pkg://solaris/install/installadm
    Packages to remove: 2
    Create boot environment: No
    Create backup boot environment: No
    Services to change: 3

    PHASE ACTIONS
    Removal Phase 166/166

    PHASE ITEMS
    Package State Update Phase 2/2
    Package Cache Update Phase 2/2
    Image State Update Phase 2/2

    The following unexpected or editable files and directories were
    salvaged while executing the requested package operation; they
    have been moved to the displayed location in the image:

    var/db/isc-dhcp/dhcpd4.leases~ -> /var/pkg/lost+found/var/db/isc-dhcp/dhcpd4.leases~-20130122T143604Z
    var/db/isc-dhcp/dhcpd4.leases -> /var/pkg/lost+found/var/db/isc-dhcp/dhcpd4.leases-20130122T143604Z


    root@sol11:~# pkg update be-name s11.1ga accept
    ------------------------------------------------------------
    Package: pkg://solaris/consolidation/osnet/osnet-incorporation@0.5.11,5.11-0.175.1.0.0.24.2:20120919T184141Z
    License: usr/src/pkg/license_files/lic_OTN

    ...
    Packages to remove: 10
    Packages to install: 40
    Packages to update: 415
    Mediators to change: 2
    Create boot environment: Yes
    Create backup boot environment: No

    DOWNLOAD PKGS FILES XFER (MB)
    Completed 465/465 24964/24964 445.9/445.9

    PHASE ACTIONS
    Removal Phase 9898/9898
    Install Phase 18235/18235
    Update Phase 14665/14665

    PHASE ITEMS
    Package State Update Phase 878/878
    Package Cache Update Phase 424/424
    Image State Update Phase 2/2

    A clone of sol-11-1111-sru13_04 exists and has been updated and activated.
    On the next boot the Boot Environment s11.1ga will be
    mounted on '/'. Reboot when ready to switch to this updated BE.


    ---------------------------------------------------------------------------
    NOTE: Please review release notes posted at:

    https://support.oracle.com/CSP/main/article?cmd=show&type=NOT&doctype=REFERENCE&id=1372094.1
    ---------------------------------------------------------------------------

    # reinstall earlier removed pkg

    root@sol11:~# pkg install pkg:/service/network/dhcp/isc-dhcp pkg://solaris/install/installadm pkg://solaris/network/dns/bind pkg://solaris/service/network/dns/bind
    Packages to install: 4
    Create boot environment: No
    Create backup boot environment: No
    Services to change: 3

    DOWNLOAD PKGS FILES XFER (MB) SPEED
    Completed 4/4 128/128 4.5/4.5 0B/s

    PHASE ITEMS
    Installing new actions 286/286
    Updating package state database Done
    Updating image state Done
    Creating fast lookup database Done

    root@sol11:~# pkg list entire
    NAME (PUBLISHER) VERSION IFO
    entire (solaris) 0.5.11-0.175.1.0.0.24.2 i--
  • 7. Re: Errors during Solaris 11/11 to 11.1 upgrade
    969805 Newbie
    Currently Being Moderated
    i had a similar problem trying up upgrade from a stock Solaris 11 installation with no updates:

    The following indicates why the system cannot update to the latest version:

    No suitable version of required package pkg://solaris/consolidation/userland/userland-incorporation@0.5.11,5.11-0.175.1.0.0.24.0:20120904T170613Z found:
    Reject: pkg://solaris/consolidation/userland/userland-incorporation@0.5.11,5.11-0.175.1.0.0.24.0:20120904T170613Z
    Reason: A version for 'incorporate' dependency on pkg:/network/dns/bind@9.6.3.7.2,5.11-0.175.1.0.0.24.0 cannot be found

    No suitable version of required package pkg://solaris/consolidation/gnome/gnome-incorporation@0.5.11,5.11-0.151.0.1:20101105T053409Z found:
    Reject: pkg://solaris/consolidation/gnome/gnome-incorporation@0.5.11,5.11-0.151.0.1:20101105T053409Z
    Reason: A version for 'incorporate' dependency on pkg:/database/sqlite-3@3.6.23,5.11-0.151.0.1 cannot be found

    I did:

    # pkg uninstall pkg:/network/dns/bind

    and then reran:

    # pkg update --accept

    followed by:

    # reboot

    followed by:

    # pkg install pkg:/network/dns/bind

    Everything seems fine now.